<?php
/**
 * @package     VirtueMart.vmpayment
 * @subpackage  vrpayecommerce
 *
 * @copyright Copyright (c) 2004 - 2010 VirtueMart Team. All rights reserved.
 * @license http://www.gnu.org/copyleft/gpl.html GNU/GPL, see LICENSE.php
 * VirtueMart is free software. This version may have been modified pursuant
 * to the GNU General Public License, and as distributed it includes or
 * is derivative of works licensed under the GNU General Public License or
 * other free or open source software licenses.
 */

defined('_JEXEC') or die('Restricted access');
?>

<link href="<?php echo $viewData['assetsPath'] . 'css/payment_form.css'; ?>" rel="stylesheet" type="text/css">
<script src="<?php echo $viewData['assetsPath'] . 'js/jquery-1.10.2.min.js'; ?>" type="text/javascript"></script>

<script type="text/javascript">
	var wpwlOptions = {
		locale: "<?php echo $viewData['lang']?>",
		style: "card",
		onReady: function(){
			var buttonCancel =
				"<div class='btn-box'><a href='<?php echo $viewData['cancelUrl']?>' class='wpwl-button btn_cancel'>"+
				"<?php echo vmText::_('FRONTEND_BT_CANCEL');?>"+
				"</a></div>";
			var ttTestMode = "<div class='testmode'><?php echo vmText::_('FRONTEND_TT_TESTMODE')?></div>";
			var headerWidget = "<h2 style='text-align: center;'><?php echo vmText::_('FRONTEND_RECURRING_WIDGET_HEADER2');?></h2>";
			$('form.wpwl-form').find('.wpwl-button').after(buttonCancel);
			var clearFloat = "<div style='clear:both'></div>";
			var btnPayNow = "<button type='submit' name='pay' class='wpwl-button wpwl-button-pay'><?php echo vmText::_('FRONTEND_BT_PAYNOW');?></button>";
			$('form.wpwl-form-virtualAccount-PAYPAL').find('.wpwl-button-brand').wrap( "<div class='payment-brand'></div>");
			$('form.wpwl-form-virtualAccount-PAYPAL').find('.btn_cancel').after(btnPayNow);
			$('form.wpwl-form-virtualAccount-PAYPAL').find('.wpwl-button-pay').after(clearFloat);
			<?php
			if ($viewData['testMode'])
			{
			?>
				$(".wpwl-container").wrap( "<div class='frametest'></div>");
				$('.wpwl-container').before(ttTestMode);
			<?php
			}
			?>
			<?php
			if ($viewData['recurring'])
			{
			?>
				$('#wpwl-registrations').after(headerWidget);
			<?php
			}

			?>
		},
		registrations: {
			hideInitialPaymentForms: false,
			requireCvv: false
		}
	}
</script>

<?php
if (!empty($viewData['registrations']))
{
?>
	<h2 style="text-align: center"><?php echo vmText::_('FRONTEND_RECURRING_WIDGET_HEADER1');?></h2>
<?php
}
else
{
?>
	<h2 style="text-align: center"><?php echo vmText::_('FRONTEND_MC_PAYANDSAFE');?></h2>
<?php
}
?>

<?php if (!empty($viewData['registrations']))
{
?>
	<script>
		$(document).ready(function() {
			$( "input[type=radio][name=registrationId]" ).on( "click", function() {
				$(".wpwl-group-registration").removeClass("wpwl-selected");
				$(".regid"+this.value).addClass("wpwl-selected");
			});
		});
	</script>

	<div id="wpwl-registrations">
		<div class="wpwl-container wpwl-container-registration wpwl-clearfix" style="display: block;">
			<form class="wpwl-form wpwl-form-registrations wpwl-form-has-inputs wpwl-clearfix" action="<?php echo $viewData['responseUrl']?>"
			method="POST" lang="en" accept-charset="UTF-8" data-action="submit-registration">
				<?php foreach ($viewData['registrations'] as $key => $value)
				{
				?>
					<?php
					if ($value['payment_default'] == 1)
					{
					?>
						<div class="regid<?php echo $value['ref_id']; ?> wpwl-group wpwl-group-registration wpwl-clearfix wpwl-selected ">
					<?php
					}
					else
					{
					?>
						<div class="regid<?php echo $value['ref_id']; ?> wpwl-group wpwl-group-registration wpwl-clearfix ">
					<?php
					}
					?>
						<label class="wpwl-registration">
							<div class="wpwl-wrapper-registration wpwl-wrapper-registration-registrationId">
								<?php
								if ($value['payment_default'] == 1)
								{
								?>
									<input type="radio" name="registrationId" value="<?php echo $value['ref_id']; ?>" checked="checked" data-action="change-registration">
								<?php
								}
								else
								{
								?>
									<input type="radio" name="registrationId" value="<?php echo $value['ref_id']; ?>" data-action="change-registration">
								<?php
								}
								?>
							</div>
							<div class="wpwl-wrapper-registration wpwl-wrapper-registration-details">
								<div class="wpwl-wrapper-registration wpwl-wrapper-registration-email"><?php echo $value['email']; ?></div>
								<div class="wpwl-wrapper-registration wpwl-wrapper-registration-holder"><?php echo $value['holder']; ?></div>
							</div>
							<div class="wpwl-wrapper-registration wpwl-wrapper-registration-cvv"></div>
						</label>
					</div>
<?php
}
?>
				<div class="wpwl-group wpwl-group-submit wpwl-clearfix">
					<div class="wpwl-wrapper wpwl-wrapper-submit">
						<button type="submit" name="pay" class="wpwl-button wpwl-button-pay"><?php echo vmText::_('FRONTEND_BT_PAYNOW');?></button>
					</div>
				</div>
			</form>
			<iframe name="registrations-target" class="wpwl-target" src="about:blank" frameborder="0"></iframe>
		</div>
	</div>
<?php
}

?>

<input type="submit" value="Submit" style="display:none" />
<script src="<?php echo $viewData['paymentWidgetUrl']?>" type="text/javascript"></script>
<form action="<?php echo $viewData['responseUrl']?>" class="paymentWidgets"><?php echo $viewData['brand']?></form>
<script src="<?php echo $viewData['assetsPath'] . 'js/jquery-1.10.2.min.js'; ?>" type="text/javascript"></script>

