<?php
/**
 * @package     VirtueMart.vmpayment
 * @subpackage  com_vrpayecommerce
 *
 * @copyright Copyright (c) 2004 - 2010 VirtueMart Team. All rights reserved.
 * @license http://www.gnu.org/copyleft/gpl.html GNU/GPL, see LICENSE.php
 * VirtueMart is free software. This version may have been modified pursuant
 * to the GNU General Public License, and as distributed it includes or
 * is derivative of works licensed under the GNU General Public License or
 * other free or open source software licenses.
 */

defined('_JEXEC') or die('Restricted access');
?>

<?php
if ($this->isRecurringActive) {
?>
    <link href="<?php echo $this->assetsPath . 'css/account_payment_form.css'; ?>" rel="stylesheet" type="text/css">
    <h2><?php echo JText::_('FRONTEND_MC_INFO');?></h2>

    <?php
    if (!empty($this->error)) {
    ?>
        <dl id="system-message" style="display: block;">
            <dt class="error">Error</dt>
            <dd class="error message">
            <ul>
                <li> <?php echo $this->error?></li>
            </ul>
        </dd>
        </dl>
    <?php
    }

    ?>

    <?php
    if ($this->isCardsSavedActive) {
    ?>
        <div class="group"><h3><?php echo JText::_('FRONTEND_MC_CC');?></h3></div>
        <?php
        foreach ($this->customerDataCC as $key => $value) {
        ?>
            <div class="group-list">
                <div class="group-img">
                    <img src="plugins/vmpayment/vrpayecommerce/vrpayecommerce/assets/images/<?php echo strtolower($value['brand']);?>.png"
                    class="brandImage" alt="<?php echo $value['brand'];?>">
                </div>
                <span class="group-info">
                    <?php echo JText::_('FRONTEND_MC_ENDING');?>
                    <?php echo $value['last4digits'];?>; <?php echo JText::_('FRONTEND_MC_VALIDITY');?>
                    <?php echo $value['expiry_month'];?>/<?php echo substr($value['expiry_year'], -2);?>
                </span>
                <div class="group-button">
                    <?php
                    if ($value['payment_default']) {
                    ?>
                        <button class="button btnDefault"><?php echo JText::_('FRONTEND_MC_BT_DEFAULT');?></button>
                    <?php
                    } else {
                    ?>
                        <form class="btnForm" action="" method="post">
                            <input type="hidden" name="id" value="<?php echo $value['id'];?>"/>
                            <input type="hidden" name="payment_group" value="CC"/>
                            <button class="button btnDefault" name="setDefault" type="submit" value="submit"><?php echo JText::_('FRONTEND_MC_BT_SETDEFAULT');?></button>
                        </form>
                    <?php
                    }

                    ?>
                    <form class="btnForm" action="<?php echo $this->changeUrl?>" method="post">
                        <input type="hidden" name="id" value="<?php echo $value['id'];?>"/>
                        <input type="hidden" name="selected_payment" value="cc_saved"/>
                        <button class="button btnChange" type="submit" value="submit"><?php echo JText::_('FRONTEND_MC_BT_CHANGE');?></button>
                    </form>
                    <form class="btnForm" action="<?php echo $this->deleteUrl?>" method="post">
                        <input type="hidden" name="id" value="<?php echo $value['id'];?>"/>
                        <input type="hidden" name="selected_payment" value="cc_saved"/>
                        <button class="button btnDelete" type="submit" value="submit"><?php echo JText::_('FRONTEND_MC_BT_DELETE');?></button>
                    </form>
                </div>
            </div>
        <?php
        }

        ?>
        <div class="group-add">
            <form class="btnForm" action="<?php echo $this->registerUrl?>" method="post">
                <input type="hidden" name="selected_payment" value="cc_saved"/>
                <button class="button btnAdd" type="submit" value="submit"><?php echo JText::_('FRONTEND_MC_BT_ADD');?></button>
            </form>
        </div>
        <div class="group-separator"></div>
    <?php
    }

    ?>

    <?php
    if ($this->isDDSavedActive) {
    ?>
        <div class="group"><h3><?php echo JText::_('FRONTEND_MC_DD');?></h3></div>
        <?php
        foreach ($this->customerDataDD as $key => $value) {
        ?>
            <div class="group-list">
                <div class="group-img">
                    <img src="plugins/vmpayment/vrpayecommerce/vrpayecommerce/assets/images/sepa.png" class="brandImage" alt="SEPA">
                </div>
                <span class="group-info"><?php echo JText::_('FRONTEND_MC_ACCOUNT');?> <?php echo $value['last4digits'];?></span>
                <div class="group-button">
                    <?php
                    if ($value['payment_default']) {
                    ?>
                        <button class="button btnDefault"><?php echo JText::_('FRONTEND_MC_BT_DEFAULT');?></button>
                    <?php
                    } else {
                    ?>
                        <form class="btnForm" action="" method="post">
                            <input type="hidden" name="id" value="<?php echo $value['id'];?>"/>
                            <input type="hidden" name="payment_group" value="DD"/>
                            <button class="button btnDefault" name="setDefault" type="submit" value="submit"><?php echo JText::_('FRONTEND_MC_BT_SETDEFAULT');?></button>
                        </form>
                    <?php
                    }

                    ?>
                    <form class="btnForm" action="<?php echo $this->changeUrl?>" method="post">
                        <input type="hidden" name="id" value="<?php echo $value['id'];?>"/>
                        <input type="hidden" name="selected_payment" value="dd_saved"/>
                        <button class="button btnChange" type="submit" value="submit"><?php echo JText::_('FRONTEND_MC_BT_CHANGE');?></button>
                    </form>
                    <form class="btnForm" action="<?php echo $this->deleteUrl?>" method="post">
                        <input type="hidden" name="id" value="<?php echo $value['id'];?>"/>
                        <input type="hidden" name="selected_payment" value="dd_saved"/>
                        <button class="button btnDelete" type="submit" value="submit"><?php echo JText::_('FRONTEND_MC_BT_DELETE');?></button>
                    </form>
                </div>
            </div>
        <?php
        }

        ?>
        <div class="group-add">
            <form class="btnForm" action="<?php echo $this->registerUrl?>" method="post">
                <input type="hidden" name="selected_payment" value="dd_saved"/>
                <button class="button btnAdd" type="submit" value="submit"><?php echo JText::_('FRONTEND_MC_BT_ADD');?></button>
            </form>
        </div>
        <div class="group-separator"></div>
    <?php
    }

    ?>

    <?php
    if ($this->isPayPalSavedActive) {
    ?>
        <div class="group"><h3><?php echo JText::_('FRONTEND_MC_PAYPAL');?></h3></div>
        <?php
        foreach ($this->customerDataPAYPAL as $key => $value) {
        ?>
            <div class="group-list">
                <div class="group-img">
                    <img src="plugins/vmpayment/vrpayecommerce/vrpayecommerce/assets/images/paypal.png" class="brandImage" alt="<?php echo $value['brand'];?>">
                </div>
                <span class="group-info"><?php echo JText::_('FRONTEND_MC_EMAIL');?> <?php echo $value['email'];?></span>
                <div class="group-button">
                    <?php
                    if ($value['payment_default']) {
                    ?>
                        <button class="button btnDefault"><?php echo JText::_('FRONTEND_MC_BT_DEFAULT');?></button>
                    <?php
                    } else {
                    ?>
                        <form class="btnForm" action="" method="post">
                            <input type="hidden" name="id" value="<?php echo $value['id'];?>"/>
                            <input type="hidden" name="payment_group" value="VA"/>
                            <button class="button btnDefault" name="setDefault" type="submit" value="submit"><?php echo JText::_('FRONTEND_MC_BT_SETDEFAULT');?></button>
                        </form>
                    <?php
                    }

                    ?>
                    <form class="btnForm" action="<?php echo $this->changeUrl?>" method="post">
                        <input type="hidden" name="id" value="<?php echo $value['id'];?>"/>
                        <input type="hidden" name="selected_payment" value="paypal_saved"/>
                        <button class="button btnChange" type="submit" value="submit"><?php echo JText::_('FRONTEND_MC_BT_CHANGE');?></button>
                    </form>
                    <form class="btnForm" action="<?php echo $this->deleteUrl?>" method="post">
                        <input type="hidden" name="id" value="<?php echo $value['id'];?>"/>
                        <input type="hidden" name="selected_payment" value="paypal_saved"/>
                        <button class="button btnDelete" type="submit" value="submit"><?php echo JText::_('FRONTEND_MC_BT_DELETE');?></button>
                    </form>
                </div>
            </div>
        <?php
        }

        ?>
        <div class="group-add">
            <form class="btnForm" action="<?php echo $this->registerUrl?>" method="post">
                <input type="hidden" name="selected_payment" value="paypal_saved"/>
                <button class="button btnAdd" type="submit" value="submit"><?php echo JText::_('FRONTEND_MC_BT_ADD');?></button>
            </form>
        </div>
        <div class="group-separator"></div>
    <?php
    }

    ?>

<?php
}
